Functions
DMA_Management
Peripheral Driver » LL Driver » SPI » Functions
Collaboration diagram for DMA_Management:

## Functions
__STATIC_INLINE void | ll_spi_enable_dma_req_tx (ssi_regs_t *SPIx)
| Enable DMA Tx. More...
__STATIC_INLINE void | ll_spi_disable_dma_req_tx (ssi_regs_t *SPIx)
| Disable DMA Tx. More...
__STATIC_INLINE uint32_t | ll_spi_is_enabled_dma_req_tx (ssi_regs_t *SPIx)
| Check if DMA Tx is enabled. More...
__STATIC_INLINE void | ll_spi_enable_dma_req_rx (ssi_regs_t *SPIx)
| Enable DMA Rx. More...
__STATIC_INLINE void | ll_spi_disable_dma_req_rx (ssi_regs_t *SPIx)
| Disable DMA Rx. More...
__STATIC_INLINE uint32_t | ll_spi_is_enabled_dma_req_rx (ssi_regs_t *SPIx)
| Check if DMA Rx is enabled. More...
__STATIC_INLINE void | ll_spi_set_dma_tx_fifo_threshold (ssi_regs_t *SPIx, uint32_t threshold)
| Set threshold of TXFIFO that triggers an DMA Tx request event. More...
__STATIC_INLINE uint32_t | ll_spi_get_dma_tx_fifo_threshold (ssi_regs_t *SPIx)
| Get threshold of TXFIFO that triggers an DMA Tx request event. More...
__STATIC_INLINE void | ll_spi_set_dma_rx_fifo_threshold (ssi_regs_t *SPIx, uint32_t threshold)
| Set threshold of RXFIFO that triggers an DMA Rx request event. More...
__STATIC_INLINE uint32_t | ll_spi_get_dma_rx_fifo_threshold (ssi_regs_t *SPIx)
| Get threshold of RXFIFO that triggers an DMA Rx request event. More...

## Detailed Description

## Function Documentation

## ◆ ll_spi_disable_dma_req_rx()

__STATIC_INLINE void ll_spi_disable_dma_req_rx | ( | ssi_regs_t * | SPIx | ) |

Disable DMA Rx.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMAC | RDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 2035 of file gr55xx_ll_spi.h.

## ◆ ll_spi_disable_dma_req_tx()

__STATIC_INLINE void ll_spi_disable_dma_req_tx | ( | ssi_regs_t * | SPIx | ) |

Disable DMA Tx.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMAC | TDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1978 of file gr55xx_ll_spi.h.

## ◆ ll_spi_enable_dma_req_rx()

__STATIC_INLINE void ll_spi_enable_dma_req_rx | ( | ssi_regs_t * | SPIx | ) |

Enable DMA Rx.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMAC | RDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 2016 of file gr55xx_ll_spi.h.

## ◆ ll_spi_enable_dma_req_tx()

__STATIC_INLINE void ll_spi_enable_dma_req_tx | ( | ssi_regs_t * | SPIx | ) |

Enable DMA Tx.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMAC | TDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  None |

Definition at line 1959 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_dma_rx_fifo_threshold()

__STATIC_INLINE uint32_t ll_spi_get_dma_rx_fifo_threshold | ( | ssi_regs_t * | SPIx | ) |

Get threshold of RXFIFO that triggers an DMA Rx request event.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMARDL | DMARDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 2132 of file gr55xx_ll_spi.h.

## ◆ ll_spi_get_dma_tx_fifo_threshold()

__STATIC_INLINE uint32_t ll_spi_get_dma_tx_fifo_threshold | ( | ssi_regs_t * | SPIx | ) |

Get threshold of TXFIFO that triggers an DMA Tx request event.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMATDL | DMATDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 2093 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_enabled_dma_req_rx()

__STATIC_INLINE uint32_t ll_spi_is_enabled_dma_req_rx | ( | ssi_regs_t * | SPIx | ) |

Check if DMA Rx is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMAC | RDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  State | of bit (1 or 0).

Definition at line 2054 of file gr55xx_ll_spi.h.

## ◆ ll_spi_is_enabled_dma_req_tx()

__STATIC_INLINE uint32_t ll_spi_is_enabled_dma_req_tx | ( | ssi_regs_t * | SPIx | ) |

Check if DMA Tx is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMAC | TDMAE | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1997 of file gr55xx_ll_spi.h.

## ◆ ll_spi_set_dma_rx_fifo_threshold()

__STATIC_INLINE void ll_spi_set_dma_rx_fifo_threshold | ( | ssi_regs_t * | SPIx,
|  | uint32_t | threshold
| ) |  |

Set threshold of RXFIFO that triggers an DMA Rx request event.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMARDL | DMARDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance
  threshold | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 2113 of file gr55xx_ll_spi.h.

## ◆ ll_spi_set_dma_tx_fifo_threshold()

__STATIC_INLINE void ll_spi_set_dma_tx_fifo_threshold | ( | ssi_regs_t * | SPIx,
|  | uint32_t | threshold
| ) |  |

Set threshold of TXFIFO that triggers an DMA Tx request event.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | DMATDL | DMATDL | +-------------------—+--------------------------------—+ \endrst

Parameters

  SPIx | SPI instance
  threshold | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 2074 of file gr55xx_ll_spi.h.